aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--lib/hydra/misc1
-rwxr-xr-xshare/hydra/deploy1
-rwxr-xr-xshare/hydractl/deploy44
3 files changed, 45 insertions, 1 deletions
diff --git a/lib/hydra/misc b/lib/hydra/misc
index 66fa1bc..0f14327 100644
--- a/lib/hydra/misc
+++ b/lib/hydra/misc
@@ -2,6 +2,7 @@
# Set needed environment variables and do basic checks
function hydra_set_env {
+ export COMMIT="25452fbec218ab3815095899b7b89599d33b170c"
export CONFIG="$HOME/.hydra/config"
export ACTION="$1"
diff --git a/share/hydra/deploy b/share/hydra/deploy
index 52a8d24..5f45fdf 100755
--- a/share/hydra/deploy
+++ b/share/hydra/deploy
@@ -22,7 +22,6 @@ hydra_config_load
# Command line arguments
NODES="$*"
-COMMIT="25452fbec218ab3815095899b7b89599d33b170c"
# Build node list
if [ -z "$NODES" ]; then
diff --git a/share/hydractl/deploy b/share/hydractl/deploy
new file mode 100755
index 0000000..f89f534
--- /dev/null
+++ b/share/hydractl/deploy
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Deploy hydra suite on local node.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Validation
+if [ -z "$ORIGIN" ]; then
+ ORIGIN="git://git.sarava.org/hydra.git"
+fi
+
+# Deploy
+echo "Deploying to local node..."
+
+if ! which git &> /dev/null; then
+ echo "Installing git..."
+ sudo aptitude update
+ sudo aptitude install git-core -y
+fi
+
+if [ ! -d /usr/local/hydra ]; then
+ sudo git clone $ORIGIN /usr/local/hydra
+ ( cd /usr/local/hydra ; sudo git reset --hard $COMMIT )
+ sudo ln -sf /usr/local/hydra/hydra /usr/local/sbin/hydra
+ sudo ln -sf /usr/local/hydra/hydra /usr/local/sbin/hydractl
+else
+ ( cd /usr/local/hydra ; sudo git pull ; sudo git reset --hard $COMMIT )
+fi